Subject: Re: bug#53158: 28.0.90; TAB, RET key behave differently for Git-Log-View, Outline View mode

From: Howard Melman <[email-masked]>
Date: Fri, 14 Jan 2022 10:36:21 -0500

Van Ly <[email-masked]> writes:

> On Thu, 13 Jan 2022, Lars Ingebrigtsen wrote:
>
>> Juri Linkov <[email-masked]> writes:
>>
>>> We were hit by this unpleasant problem in diff-mode with
>>> outline-minor-mode.  In diff-mode TAB moves point to the
>>> next hunk, because in browsers TAB moves to the next
>>> link.  But in outline-minor-mode TAB should expand and
>>> collapse on the heading because TAB does this in Org
>>> mode.
>>
>> I think it's unfortunate that outline minor mode uses
>> TAB, because it crashes with so much else we're using
>> that key for.  But I guess there's not much we can do
>> about it at this point.
>>
>
> I think outline minor mode and org mode should coordinate
> to work well with diff-mode TAB moves.  Use TAB and S-TAB
> for moving forward and backward to points of interest.
> Use ` immediately above the TAB for operating on that
> context.  What you can do is have a file for design
> language roadmap guidance forward to overtime have
> contributors align how the TAB is to be used and phase in
> new behavior.  Give it 18-months to align and grandfather
> in old behavior people have grown callous for and are
> insensitive to pain point.

When I originally proposed the outline cycling commands I
suggested C-TAB and S-TAB which I've been using for several
years.  C-TAB was rejected because it doesn't work in the
terminal.  I'm GUI only (macport) and haven't tried Emacs 28
yet, but if I find TAB conflicting with things, I hope it's
easy for me to change it to C-TAB and have it work anywhere
on the line.

I understand not wanting terminal to be a second-class
citizen (and that it has many users), but I wish its
limitations weren't so constraining on the GUI.

-- 

Howard